#### D.15.17.1 puiseuxList

Procedure from library `puiseuxexpansions.lib` (see puiseuxexpansions_lib).

Usage:
  puiseuxList(PP, maxDeg, iVarX, iVarY); Puiseux expansion PP, int maxDeg is the integer up to which the Puiseux expansions will be computed (if maxDeg = -1 computes the singular part),
  int iVarX is the index of the X variable for the ring C{X}[Y], int iVarY, the index of the Y variable for the ring C{X}[Y].

Assume:
  basering has exactly two variables;
  f is convenient, that is, f(x,0) != 0 != f(0,y).

Return:
  a list with the Puiseux expansions of PP.

Example:

    LIB "puiseuxexpansions.lib";
    ring r=0,(x,y),dp;
    Puiseux PP = x5+2x3y-x2y2+3xy5+y6+y7;
    puiseuxList(PP, 5, 1, 2);
    ==> [1]:
    ==>    ( 6326x5+634x4+71x3+10x2+3x-1 ) /  1
    ==> Denominator of exponent :  1
    ==>
    ==> [2]:
    ==>    ( -1876641/256x10-2694181/32768x9-38313/64x8+27513/1024x7-909/16x6+751\
       /128x5-27/4x4+9/8x3-3/2x2+x ) /  1
    ==> Denominator of exponent :  2
    ==>
    ==> [3]:
    ==>    ( -1876641/256x10+2694181/32768x9-38313/64x8-27513/1024x7-909/16x6-751\
       /128x5-27/4x4-9/8x3-3/2x2-x ) /  1
    ==> Denominator of exponent :  2
    ==>
    ==> [4]:
    ==>    ( -746719/256*x^10+(-12549/16*@a)*x^9+13801/64*x^8+(989/16*@a)*x^7-299\
       /16*x^6+(-45/8*@a)*x^5+7/4*x^4+(@a)*x^3-x^2+(@a)*x ) /  1
    ==> Denominator of exponent :  2
    ==> Minimal polynomial:  (@a^2+1)
    ==>
    ==> [5]:
    ==>    ( 1813627/128x5+2113/16x4+639/8x3+1/2x2+2x ) /  1
    ==> Denominator of exponent :  1
    ==>
    ==> [6]:
    ==>    ( 5/128x5-1/16x4+1/8x3-1/2x2 ) /  1
    ==> Denominator of exponent :  1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.